Subject: [Gen-art] Gen-ART review of draft-ietf-idr-bgp-identifier-14

From: <[email-masked]>
Date: Sun, 8 May 2011 03:13:22 -0400

I am the assigned Gen-ART reviewer for this draft. For background on
Gen-ART, please see the FAQ at
< http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please wait for direction from your document shepherd
or AD before posting a new version of the draft.

Document: draft-ietf-idr-bgp-identifier-14
Reviewer: David L. Black
Review Date: May 8, 2011
IESG Telechat date: May 12, 2011

Summary: This draft is ready for publication as a Proposed Standard RFC

Major issues: None

Minor issues: None

Nits/editorial comments: The nits/editorial comments noted in the
Gen-ART review of the -13 version of this draft have been addressed
in the -14 version.

Thanks,
--David

> -----Original Message-----
> From: Black, David
> Sent: Tuesday, April 19, 2011 6:37 PM
> To: [email-masked]; [email-masked]; [email-masked]
> Cc: Black, David; John Scudder; Stewart Bryant
> Subject: Gen-ART review of draft-ietf-idr-bgp-identifier-13
> 
> I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at
> <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
> 
> Please resolve these comments along with any other Last Call comments you may receive.
> 
> Document: draft-ietf-idr-bgp-identifier-13.txt
> Reviewer: David L. Black
> Review Date: April 19, 2011
> IETF LC End Date: April 18, 2011
> 
> Summary: This draft is basically ready for publication, but has nits that should be fixed before
> publication.
> 
> This is a short draft that extends BGP to remove the requirement for use
> of IPv4 addresses as BGP identifiers, and specifies the scope of uniqueness
> for the resulting BGP identifiers as AS-wide.
> 
> Major issues: None
> 
> Minor issues: None
> 
> Nits/editorial comments:
> 
> This draft is missing an "Updates:" header to indicate what RFCs it updates.
> I believe it updates at least RFC 4271.
> 
> The Acknowledgements section refers to IPv6-only networks as a rationale for
> these changes to BGP.  Please add a couple of sentences to section 1 to
> explain why IPv6-only networks are a motivation for these changes.
> 
> At the end of Section 3 - please remove the word "proposed" from the first
> line of the following (as the changes will no longer be "proposed" when
> the draft is published as an RFC):
> 
>    Therefore it is concluded that the revisions proposed in this
>    document do not introduce any backward compatibility issue with the
>    current usage of the BGP Identifier.
> 
> In Section 4, Security Considerations:
> 
>    This extension to BGP does not change the underlying security issues.
> 
> I suggest changing that sentence to the following two sentences:
> 
>    This extension to BGP does not introduce new security considerations.
>    BGP security considerations are discussed in [RFC4271].
> 
> idnits 2.12.09 found some minor formatting problems (# lines/page, absence of
> form feeds) that do not require a new version of the draft.
> 
> Thanks,
> --David
> ----------------------------------------------------
> David L. Black, Distinguished Engineer
> EMC Corporation, 176 South St., Hopkinton, MA  01748
> +1 (508) 293-7953             FAX: +1 (508) 293-7786
> [email-masked]        Mobile: +1 (978) 394-7754
> ----------------------------------------------------
>